Page MenuHomePhabricator

CSS of MediaWiki:Flaggedrevs-watched-pending seems pretty random
Closed, ResolvedPublic

Description

By the way of discussion about the recent UI standardization on Special:Watchlist, the FlaggedRevs message was mentioned. Small font-size with no reason, totally random colours of background and border, as well as totally random margin. Sadly, its CSS isn't editable on local MediaWiki: pages (in contrast to Watchlist-summary).


screenshot by courtesy of @matmarex

and that's how it looks with uselang=qqx.

Event Timeline

tarlocesilion raised the priority of this task from to Needs Triage.
tarlocesilion updated the task description. (Show Details)
tarlocesilion added subscribers: tarlocesilion, matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 30 2015, 7:48 PM
tarlocesilion set Security to None.
Aklapper renamed this task from CSS of MediaWiki:Flaggedrevs-watched-pending to CSS of MediaWiki:Flaggedrevs-watched-pending seems pretty random.Jul 31 2015, 3:53 PM
Aklapper triaged this task as Normal priority.
Volker_E added a subscriber: Volker_E.EditedNov 20 2015, 8:12 PM

@tarlocesilion @matmarex For clearer understanding, should this task be about improving the interface (ensuring better readable font-size, cleaning-up colors) or also from your perspective, @tarlocesilion to make it editable on local MediaWiki: pages (which would imply an extra task from my perspective)?

Given the fact that the following messages are editable locally and may look differently on a number of wikis, making this one editable is essential to maintain consistency from local perspective. Thx for pointing this out. By default, the newly created message should contain only text (no formatting), because...

this task is mainly about improving the interface so it could look, as I named, less random by default, just like those two following messages. I mean: adjust font size, margins and paddings, no background color or borders, a pure message, like watchlist-summary.

Zache added a subscriber: Zache.May 8 2017, 6:30 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 8 2017, 6:30 AM

The message can and always could be styled locally: using MediaWiki:Common.css, you can target .fr-watchlist-pending-notice. I don’t think any further customization possibility is needed. (Standardizing default colors is a different matter.)

Oh, I just see the colors have been changed in the meanwhile, in 192394d30 by @Ladsgroup. Maybe this task can be closed?

Ladsgroup closed this task as Resolved.Jul 3 2019, 3:06 PM
Ladsgroup claimed this task.

Yes, The colors have been fixed really long time ago. There are so much work need to be done on the extension, including more adjustments of the notices and forms but that's outside of scope of this ticket and it should be tackled as part of T191156: Convert FlaggedRevisions to OOUI

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJul 3 2019, 3:06 PM